import request from '@/utils/request'

// 查询答题日志列表
export function listLogs(query) {
  return request({
    url: '/qw/course/courseAnswerLog/list',
    method: 'get',
    params: query
  })
}

export function myListLogs(query) {
  return request({
    url: '/qw/course/courseAnswerLog/myList',
    method: 'get',
    params: query
  })
}


// 查询答题日志详细
export function getLogs(logId) {
  return request({
    url: '/qw/course/courseAnswerLog/' + logId,
    method: 'get'
  })
}

// 新增答题日志
export function addLogs(data) {
  return request({
    url: '/qw/course/courseAnswerLog',
    method: 'post',
    data: data
  })
}

// 修改答题日志
export function updateLogs(data) {
  return request({
    url: '/qw/course/courseAnswerLog',
    method: 'put',
    data: data
  })
}

// 删除答题日志
export function delLogs(logId) {
  return request({
    url: '/qw/course/courseAnswerLog/' + logId,
    method: 'delete'
  })
}

// 导出答题日志
export function exportLogs(query) {
  return request({
    url: '/qw/course/courseAnswerLog/export',
    method: 'get',
    params: query
  })
}
